
User Interface - Bug #2982

in Web client, overlay window must not be "resizeable"

02/04/2016 05:37 PM - Constantin Asofiei

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Igor Skornyakov % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No case_num:  

vendor_id: GCD   

Description

Related issues:

Related to User Interface - Bug #2837: GUI combo-box drop-down needs to be ab... Closed

History

#1 - 02/04/2016 05:38 PM - Constantin Asofiei

Currently, when hovering the mouse on the edge of a i.e. drop-down combobox, the mouse pointer is switched to a "window resize" pointer (as if the

overlay window can be resized).  These overlay windows can not be resized, so mouse should not react on the border.

Check Swing behaviour too.

#2 - 02/04/2016 05:41 PM - Greg Shah

Igor: are you already planning to handle this issue as part of #2565?

#3 - 02/04/2016 05:43 PM - Igor Skornyakov

Greg Shah wrote:

Igor: are you already planning to handle this issue as part of #2565?

 

If I understand this issue correctly - then yes, I do.

#4 - 02/04/2016 05:52 PM - Igor Skornyakov

Constantin Asofiei wrote:

Currently, when hovering the mouse on the edge of a i.e. drop-down combobox, the mouse pointer is switched to a "window resize" pointer (as if

the overlay window can be resized).  These overlay windows can not be resized, so mouse should not react on the border.

Check Swing behaviour too.

 

Constantin. At this moment my version of the WebGUI doesn't have this issue. However I may miss something. Can you please provide a test case?

Thank you.
#5 - 02/05/2016 11:04 AM - Constantin Asofiei

Just use a test like this:

DEF VAR chcb AS CHAR VIEW-AS COMBO-BOX LIST-ITEMS "item1", "item2", "item3", "item4", "item5", "item6", "item7

", "item8", "item9", "item10" INNER-LINES 5.

update chcb with frame f1.

open the combo's drop-down and move the mouse around the edges of the drop-down.  I see this with 1811t.

#6 - 02/05/2016 11:05 AM - Igor Skornyakov

Constantin Asofiei wrote:

Just use a test like this:

[...]

open the combo's drop-down and move the mouse around the edges of the drop-down.  I see this with 1811t.

 

I see, Thank you Constantin.

#7 - 02/15/2016 01:25 PM - Igor Skornyakov

processWindowBorder is noop when overlay window is active.

Committed to the task branch 2565a revno 11022.

#8 - 03/01/2016 01:00 PM - Greg Shah

- % Done changed from 0 to 100

- Status changed from New to Closed

- Assignee set to Igor Skornyakov

Resolved by trunk revision 10976 (merged from 2565a).

#9 - 11/16/2016 12:12 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App
